/**
 * Copyright (c) 2010-2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the New BSD License (3-clause license).
 *
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the New BSD License (3-clause license)
 * for more details.
 *
 * You should have received a copy of the New BSD License (3-clause license)
 * along with this program/library; If not, see http://directory.fsf.org/wiki/License:BSD_3Clause/
 * for the New BSD License (3-clause license).
 */
package com.ebmwebsourcing.easycommons.lang.reflect;

/**
 * @author Adrien Ruffie - EBM WebSourcing
 */
public class ClassD {

    public static final String STATIC_FINAL_PUBLIC_FIELD_NAME = "STATIC_FINAL_PUBLIC_FIELD";

    public static final String STATIC_FINAL_PUBLIC_RO_1_FIELD_NAME = "STATIC_FINAL_PUBLIC_RO_1_FIELD";

    public static final String STATIC_FINAL_PUBLIC_RO_2_FIELD_NAME = "STATIC_FINAL_PUBLIC_RO_2_FIELD";

    public static final String STATIC_FINAL_PROTECTED_FIELD_NAME = "STATIC_FINAL_PROTECTED_FIELD";

    public static final String STATIC_FINAL_PRIVATE_FIELD_NAME = "STATIC_FINAL_PRIVATE_FIELD";

    public static final String STATIC_PUBLIC_FIELD_NAME = "STATIC_PUBLIC_FIELD";

    public static final String STATIC_PROTECTED_FIELD_NAME = "STATIC_PROTECTED_FIELD";

    public static final String STATIC_PRIVATE_FIELD_NAME = "STATIC_PRIVATE_FIELD";

    public static final String FINAL_PUBLIC_FIELD_NAME = "finalPublicField";

    public static final String FINAL_PROTECTED_FIELD_NAME = "finalProtectedField";

    public static final String FINAL_PRIVATE_FIELD_NAME = "finalPrivateField";

    public static final String PUBLIC_FIELD_NAME = "publicField";

    public static final String PROTECTED_FIELD_NAME = "protectedField";

    public static final String PRIVATE_FIELD_NAME = "privateField";

    /* Static final attributes */
    public static final int STATIC_FINAL_PUBLIC_FIELD = 0;

    public static final int STATIC_FINAL_PUBLIC_RO_1_FIELD = 0;

    public static final int STATIC_FINAL_PUBLIC_RO_2_FIELD = 0;

    protected static final int STATIC_FINAL_PROTECTED_FIELD = 1;

    private static final int STATIC_FINAL_PRIVATE_FIELD = 2;

    /* Static attributes */
    public static int STATIC_PUBLIC_FIELD = 5;

    protected static int STATIC_PROTECTED_FIELD = 6;

    private static int STATIC_PRIVATE_FIELD = 7;

    /* Final attributes */
    public final int finalPublicField;

    protected final int finalProtectedField;

    @SuppressWarnings("unused")
    private final int finalPrivateField;

    /* Basic attributes */
    public int publicField;

    protected int protectedField;

    @SuppressWarnings("unused")
    private int privateField;

    public ClassD() {
        this.finalPublicField = STATIC_FINAL_PUBLIC_FIELD;
        this.finalProtectedField = STATIC_FINAL_PROTECTED_FIELD;
        this.finalPrivateField = STATIC_FINAL_PRIVATE_FIELD;
        this.publicField = STATIC_PUBLIC_FIELD;
        this.protectedField = STATIC_PROTECTED_FIELD;
        this.privateField = STATIC_PRIVATE_FIELD;
    }

}